Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialRpEntity

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialRpEntity

public final class PublicKeyCredentialRpEntity extends Object
The PublicKeyCredentialRpEntity dictionary is used to supply additional Relying Party attributes when creating a new credential.

Since:
  6.4

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`
Used to create a `PublicKeyCredentialRpEntity`.

## Method Summary

Modifier and Type
Method
Description
`static PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`
`builder()`
Creates a new `PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`
`String`
`getId()`
The id property is a unique identifier for the Relying Party entity, which sets the RP ID.
`String`
`getName()`
The name property is a human-palatable name for the entity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
The name property is a human-palatable name for the entity. Its function depends on what the PublicKeyCredentialEntity represents for the Relying Party, intended only for display.

Returns:
  the name

### getId

public String getId()
The id property is a unique identifier for the Relying Party entity, which sets the RP ID.

Returns:
  the relying party id

### builder

public static PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder builder()
Creates a new `PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`

Returns:
  a new `PublicKeyCredentialRpEntity.PublicKeyCredentialRpEntityBuilder`